---
title: "Create zone connection type targeting"
type: reference
method: POST
path: /rest-api/zone/{zoneId}/targeting/connection-type/create.do
tag: "Targeting Rules"
---

# Create zone connection type targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/connection-type/create.do`

Creates a connection type targeting rule for the specified zone. Requires CONNECTION_TYPE targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `zoneId` | integer | yes | `200` | Unique numeric ID of the zone |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `connectionType` | string | yes | `WI_FI` | Connection type to target |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Zone not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/zone/200/targeting/connection-type/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'connectionType=WI_FI'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-zone-targeting-connection-type-create